=== debian/changelog ===
spatialindex (1.7.0-1) unstable; urgency=low

  * New upstream release.
  * Changed homepage in debian/control.
  * Policy bumped to 3.9.2.
  * Moved to debian source 3.0 and quilt support.
  * Moved to git repository and changed Vcs-* fields as consequence.
  * Now using debhelper 8 as minimal level.
  * Now save and restore config.* helpers.
  * Now do not install libtool helper file and adds a pkg-config configuration
    file instead.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 28 Nov 2011 14:54:34 +0100

spatialindex (1.5.0-1) unstable; urgency=low

  * New upstream release. 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 28 Nov 2011 12:11:37 +0100

spatialindex (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * Partch gcc43 removed, because merged upstream.
  * Policy bumped to 3.8.3, without changes.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 12 Sep 2009 10:43:52 +0200

spatialindex (1.3.2-1) unstable; urgency=low

  * Initial release.
    (closes: #530845)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 27 May 2009 20:29:47 +0200
