=== debian/control ===
Source: spatialindex
Priority: extra
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: debhelper (>= 8), autotools-dev
Standards-Version: 3.9.2
Section: science
Homepage: https://github.com/libspatialindex/libspatialindex
Vcs-Browser: http://git.debian.org/?p=pkg-grass/libspatialindex.git
Vcs-Git: git://git.debian.org/git/pkg-grass/libspatialindex.git

Package: libspatialindex-dev
Section: libdevel
Architecture: any
Depends: libspatialindex1 (= ${binary:Version})
Recommends: pkg-config
Description: A general framework for developing spatial indices
 Spatialindex is a C++ library that provides a framework for
 developing spatial indices. Currently it defines generic interfaces,
 provides simple main memory and disk based storage managers and a
 robust implementation of an R*-tree, an MVR-tree and a TPR-tree.
 .
 This package contains the SpatialIndex shared library.

Package: libspatialindex1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A general framework for developing spatial indices - development files
 Spatialindex is a C++ library that provides a framework for
 developing spatial indices. Currently it defines generic interfaces,
 provides simple main memory and disk based storage managers and a
 robust implementation of an R*-tree, an MVR-tree and a TPR-tree.
 .
 This package contains the development files to build third
 parties programs.
