=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
http://trac.gispython.org/spatialindex/wiki/Releases .*spatialindex-src-(.*)\.tar\.gz.*
