## spatialindex 1.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,18 +24,33 @@
 #------------------------------------------------------------------------------
 
 SET(SIDX_VERSION_MAJOR "1")
-SET(SIDX_VERSION_MINOR "7")
-SET(SIDX_VERSION_PATCH "0")
+SET(SIDX_VERSION_MINOR "8")
+SET(SIDX_VERSION_PATCH "1")
+SET(SIDX_LIB_SOVERSION "3.0.0")
+
 
 set(SIDX_VERSION_STRING "${SIDX_VERSION_MAJOR}.${SIDX_VERSION_MINOR}.${SIDX_VERSION_PATCH}")
-SET(SIDX_LIB_SOVERSION ${SIDX_VERSION_MAJOR})
-SET(SIDX_C_LIB_SOVERSION ${SIDX_VERSION_MAJOR})
 
 
 # Name of C++ library
+
 set(SIDX_LIB_NAME spatialindex)
-
 set(SIDX_C_LIB_NAME spatialindex_c)
+
+if(WIN32)
+  if (MSVC)
+    if (MSVC80 OR MSVC90 OR MSVC10)
+        if( CMAKE_SIZEOF_VOID_P EQUAL 8 )
+            set( SIDX_LIB_NAME "spatialindex-64" )
+            set( SIDX_C_LIB_NAME "spatialindex_c-64" )
+        else( CMAKE_SIZEOF_VOID_P EQUAL 8 )
+            set( SIDX_LIB_NAME "spatialindex-32"  )
+            set( SIDX_C_LIB_NAME "spatialindex_c-32"  )
+        endif( CMAKE_SIZEOF_VOID_P EQUAL 8 )
+    endif()
+  endif()
+endif()
+
 
 set(CMAKE_INCLUDE_DIRECTORIES_PROJECT_BEFORE ON)
 
@@ -43,11 +58,14 @@
 
 check_function_exists(srand48 HAVE_SRAND48)
 check_function_exists(gettimeofday HAVE_GETTIMEOFDAY)
-check_function_exists(bzero HAVE_BZERO)
 check_function_exists(memset HAVE_MEMSET)
 check_function_exists(memcpy HAVE_MEMCPY)
 check_function_exists(bcopy HAVE_BCOPY)
 
+INCLUDE (CheckIncludeFiles)
+check_include_files(pthread.h HAVE_PTHREAD_H) 
+
+
 if (HAVE_SRAND48)
     add_definitions(-DHAVE_SRAND48=1)
 endif()
@@ -70,6 +88,10 @@
 
 if (HAVE_BCOPY)
     add_definitions(-DHAVE_BCOPY=1)
+endif()
+
+if (HAVE_PTHREAD_H)
+    add_definitions(-DHAVE_PTHREAD_H=1)
 endif()
 
 # Choose to use pkg-config or not
@@ -83,7 +105,7 @@
 # note we default to debug mode
 if(NOT MSVC_IDE)
   if(NOT CMAKE_BUILD_TYPE)
-  set(CMAKE_BUILD_TYPE Debug CACHE STRING 
+  set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
     "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel" FORCE)
   endif()
   message(STATUS "Setting libspatialindex build type - ${CMAKE_BUILD_TYPE}")
@@ -101,7 +123,7 @@
 set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${SIDX_BUILD_OUTPUT_DIRECTORY})
 
 # Output directory in which to build ARCHIVE target files.
-set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${SIDX_BUILD_OUTPUT_DIRECTORY}) 
+set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${SIDX_BUILD_OUTPUT_DIRECTORY})
 
 
 #------------------------------------------------------------------------------
@@ -110,7 +132,7 @@
 
 if(WIN32)
   if (MSVC)
-    if (MSVC80 OR MSVC90 OR MSVC10)
+    if (MSVC80 OR MSVC90 OR MSVC10 OR MSVC11)
       add_definitions(-D_CRT_SECURE_NO_DEPRECATE)
       add_definitions(-D_CRT_SECURE_NO_WARNINGS)
       add_definitions(-D_CRT_NONSTDC_NO_WARNING)
@@ -118,7 +140,9 @@
       add_definitions(-DSPATIALINDEX_CREATE_DLL=1)
 
       set(SIDX_COMPILER_MSVC 1)
-      if (MSVC10)
+      if (MSVC11)
+        set(SIDX_COMPILER_VC11 1)
+      elseif (MSVC10)
         set(SIDX_COMPILER_VC10 1)
       elseif (MSVC9)
         set(SIDX_COMPILER_VC9 1)
@@ -126,7 +150,7 @@
         set(SIDX_COMPILER_VC8 1)
       endif()
     endif()
-    
+
     if(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
       string(REGEX REPLACE "/W[0-4]" "/W4"
         CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
@@ -134,7 +158,7 @@
       set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
     endif()
   endif()
-  
+
   set(CMAKE_INCLUDE_PATH c:/osgeo4w/include;$ENV{CMAKE_INCLUDE_PATH})
   set(CMAKE_LIBRARY_PATH c:/osgeo4w/lib;$ENV{CMAKE_LIBRARY_PATH})
 
@@ -154,9 +178,9 @@
     if (CMAKE_COMPILER_IS_GNUCXX)
       set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++98 -ansi")
     endif()
-    
+
     set(SIDX_COMPILER_GCC 1)
-    
+
   elseif("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang" OR "${CMAKE_CXX_COMPILER}" MATCHES "clang")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${SIDX_COMMON_CXX_FLAGS}")
     set(SIDX_COMPILER_CLANG 1)
@@ -191,7 +215,7 @@
   # Common locations for Unix and Mac OS X
   set(DEFAULT_BIN_SUBDIR bin)
   set(DEFAULT_LIB_SUBDIR lib${LIB_SUFFIX})
-  set(DEFAULT_DATA_SUBDIR share/libspatialindex)
+  set(DEFAULT_DATA_SUBDIR share/spatialindex)
   set(DEFAULT_INCLUDE_SUBDIR include)
 endif()
 
@@ -216,7 +240,6 @@
 set(SIDX_INCLUDE_DIR ${SIDX_INCLUDE_SUBDIR})
 set(SIDX_DATA_DIR ${SIDX_DATA_SUBDIR})
 
-
 #------------------------------------------------------------------------------
 # subdirectory controls
 #------------------------------------------------------------------------------
@@ -224,13 +247,3 @@
 add_subdirectory(src)
 add_subdirectory(test)
 
-
-
-
-#------------------------------------------------------------------------------
-# finally, generate the pdal_config.h header
-#------------------------------------------------------------------------------
-# 
-# configure_file(
-#   "${PROJECT_SOURCE_DIR}/pdal_defines.h.in"
-#   "${PROJECT_SOURCE_DIR}/include/pdal/pdal_defines.h")
