=== src/CMakeLists.txt ===
--- 
+++ 
@@ -208,7 +208,7 @@
   PROPERTIES SOVERSION "${SIDX_LIB_SOVERSION}" )
 
 set_target_properties(${SIDX_C_LIB_NAME} 
-  PROPERTIES SOVERSION "${SIDX_C_LIB_SOVERSION}" )
+  PROPERTIES SOVERSION "${SIDX_LIB_SOVERSION}" )
 
 
 
@@ -217,6 +217,11 @@
     ${SIDX_LIB_NAME}
     PROPERTIES
     INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib")
+
+  set_target_properties(
+    ${SIDX_C_LIB_NAME}
+    PROPERTIES
+    INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib")
 endif()
 
 ###############################################################################
@@ -228,5 +233,5 @@
   ARCHIVE DESTINATION ${SIDX_LIB_DIR})
 
 install(DIRECTORY ${SIDX_HEADERS_DIR}
-  DESTINATION include/libspatialindex
+  DESTINATION include/spatialindex
   FILES_MATCHING PATTERN "*.h" PATTERN "*.hpp")
