=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,14 @@
 include_directories(../include)
+
+set (DIR geometry)
+set (SOURCES 
+        Intersection 
+        )
+
+foreach (test ${SOURCES})
+    add_executable(test-${DIR}-${test} ${DIR}/${test}.cc)
+    target_link_libraries(test-${DIR}-${test} ${SIDX_LIB_NAME})
+endforeach()
 
 set (DIR rtree)
 set (SOURCES
