=== debian/changelog ===
spatialindex (1.8.1-2) unstable; urgency=low

  * Update pkg-config patch to remove LDFLAGS from Libs.
    (closes: #735039)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 12 Jan 2014 14:08:10 +0100

spatialindex (1.8.1-1) unstable; urgency=low

  * New upstream release.
  * Add myself to Uploaders.
  * Update watch file including sepwatch changes.
  * Update Homepage to github documentation instead of code.
  * Use canonical URLs in Vcs-* fields.
  * Change priority from extra to optional.
  * Bump debhelper compatibility to 9.
  * Use minimal dh rules with dh-autoreconf.
    (closes: #734827, #722835)
  * Support Multi-Arch build.
  * Add misc:Depends for libspatialindex-dev.
  * Don't start description synopsis with an article.
  * Change library packages to match SONAME, and use correct description.
    (closes: #642482)
  * Add debug package for the shared library.
  * Update copyright file using copyright-format 1.0.
  * Add lintian override for debian-watch-may-check-gpg-signature,
    upstream doesn't provide signatures for verification.
  * Remove .la files before install.
  * Add symbols files using pkgkde-symbolshelper.
  * Bump Standards-Version to 3.9.5, changes: minimal dh rules, Multi-Arch,
    Vcs-* fields, shared library changes, copyright.
  * Add patch to modernize the build system.
  * Add patch to include linking to libspatialindex in pkg-config file.
    (closes: #679690)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 10 Jan 2014 20:30:00 +0100
